Loading...
Searching...
No Matches
cpe_name.h File Reference
CPE » CPE URIs

Interface to Common Platform Enumeration (CPE) URI. More...

`#include <stdbool.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "oscap_export.h"`
Include dependency graph for cpe_name.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef bool(* | cpe_check_fn) (const char *, const char *, const char *, void *)
| Shared callback definition used to evaluate checks to perform applicability tests.
typedef bool(* | cpe_dict_fn) (const struct cpe_name *, void *)
| Shared callback definition used to match CPE names to perform applicability tests.

## Enumerations

enum | cpe_part_t { CPE_PART_NONE , CPE_PART_HW , CPE_PART_OS , CPE_PART_APP }
| enumeration of possible CPE parts More...
enum | cpe_format_t { CPE_FORMAT_UNKNOWN , CPE_FORMAT_URI , CPE_FORMAT_STRING , CPE_FORMAT_WFN }

## Functions

Evaluators
OSCAP_API cpe_format_t | cpe_name_get_format_of_str (const char *str)
| Looks at given string and returns format it is in.

## Detailed Description

Interface to Common Platform Enumeration (CPE) URI.

See more details at http://nvd.nist.gov/cpe.cfm

## Typedef Documentation

## cpe_check_fn

typedef bool(* cpe_check_fn) (const char *, const char *, const char *, void *)

Shared callback definition used to evaluate checks to perform applicability tests.

first arg = system second arg = href third arg = check name / id fourth arg = arbitrary pointer / user data

returns true = applicable, false = not applicable

## cpe_dict_fn

typedef bool(* cpe_dict_fn) (const struct cpe_name *, void *)

Shared callback definition used to match CPE names to perform applicability tests.

first argument = cpe name to match second argument = arbitrary pointer / user data returns true = matched to existing applicable name, false = not matched/not applicable